Part Plane/de: Difference between revisions

From FreeCAD Documentation
(Created page with "==Beschreibung== Erstellt eine einfache parametrische Ebene 10 x 10 mm mit den Parametern für Position, Länge und Breite. Als Vorgabe wird die Ebene am Ursprung (0,0,0) plat...")
No edit summary
 
(38 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{GuiCommand/de|Name=Part CreatePrimitives|Name/de=Part Grundkörper erstellen|Workbenches=[[Part Module/de|Part]], [[OpenSCAD_Module/de|OpenSCAD]]|MenuLocation=[[Part_Module/de|Formteil]] → [[Part_CreatePrimitives/de|Grundkörper erstellen...]] → Ebene| SeeAlso=[[Part_CreatePrimitives/de|Grundkörper erstellen...]]}}
{{Docnav/de
|[[Part_Primitives/de|Primitives]]
|[[Part_Ellipsoid/de|Ellipsoid]]
|[[Part_Workbench/de|Part]]
|IconL=Part_Primitives.svg
|IconR=Part_Ellipsoid.svg
|IconC=Workbench_Part.svg
}}

{{GuiCommand/de
|Name=Part Plane
|Name/de=Part Ebene
|MenuLocation=Formteil → [[Part_Primitives/de|Grundkörper erstellen...]] → Ebene
|Workbenches=[[Part_Workbench/de|Part]], [[OpenSCAD_Workbench/de|OpenSCAD]]
|SeeAlso=[[Part_Primitives/de|Part Grundelemente]]
}}


==Beschreibung==
==Beschreibung==
Erstellt eine einfache parametrische Ebene 10 x 10 mm mit den Parametern für Position, Länge und Breite.
Als Vorgabe wird die Ebene am Ursprung (0,0,0) platziert.


Eine [[Image:Part_Plane.svg|24px]] '''Part Ebene''' ist eine parametrische rechteckige Ebene, die mit dem Befehl [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/de|Part Grundelemente]] erstellt werden kann. Im Koordinatensystem durch ihre {{PropertyData/de|Placement}} festgelegt, liegt die Ebene auf der XY-Ebene mit ihrer vorderen linken Ecke im Ursprung und ihrer Vorderkante parallel zur X-Achse.
[[File:PartPlane.png|left]]

{{clear}}
[[Image:Part_Plane_Example.png|400px]]

== Anwendung ==

Siehe [[Part_Primitives/de#Anwendung|Part Grundelemente]].

==Beispiel==

[[Image:Part_Plane_Scripting_Example.png|thumb|Part-Ebene aus dem Skriptbeispiel]]

Ein Part-Plane-Objekt, das mit dem [[#Skripten|Skriptbeispiel]] weiter unten erzeugt wurde, wird hier dargestellt.

== Eigenschaften ==

Siehe auch: [[Property_editor/de|Eigenschafteneditor]].

Ein Part-Ebene-Objekt wird von einem [[Part_Feature/de|Part-Formelement]] abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

=== Daten ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Plane}}

* {{PropertyData|Length|Length}}: The length of the plane. This is the dimension in its X direction. The default is {{Value|10mm}}.
* {{PropertyData|Width|Length}}: The width of the plane. This is the dimension in its Y direction. The default is {{Value|10mm}}.

==Skripten==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Plane can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
}}

* Where {{Incode|"myPlane"}} is the name for the object.
* The function returns the newly created object.

Beispiel:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))


doc.recompute()
== How to use ==
}}
The standard plane is created with its lower left corner at the origin point 0,0,0.
To change these parameters, open the Location section and enter the desired values ​​in the respective input fields, or click on the 3D view and select a point, the point coordinates are taken from the fields.
In the Direction menu you can also define a standard vector (X, Y or Z) normal to the plane, or click User Defined ... to open the dialog box that allows you to set a different carrier (eg direction 1.0 , -1 creates a plane inclined 45 ° with respect to X and Z).


The properties can be changed later in the '''Combined View → Data''', after selecting the item.


{{Docnav/de
== Option ==
|[[Part_Primitives/de|Primitives]]
{|
|[[Part_Ellipsoid/de|Ellipsoid]]
| [[File:PartPlaneProperty.png]]
|[[Part_Workbench/de|Part]]
|
|IconL=Part_Primitives.svg
==== View ====
|IconR=Part_Ellipsoid.svg
You have the standard properties view.
|IconC=Workbench_Part.svg
==== Data ====
}}
{{KEY/it|Base}} - Object placement data <br />
* {{PropertyData|Label}} : String name of the object, defaults to 'Plane'. User may rename it.
* {{PropertyData|Placement}}: Placement of feature is defined by below angle, axis and position.
*{{PropertyData|Angle}} : Angle of rotation relative to the below axis.
*{{PropertyData|Axis}} : Defines the axis of rotation plane: X, Y, or Z. Defaults to Z axis, Z = 1
*{{PropertyData|Position}} : Position X, Y, Z, relative to the origin 0, 0, 0.
{{KEY/it|Plane}} - Plane Specific Parameters <br />
* {{PropertyData|Length}} : Length is the dimension along the X axis The default value is 10 mm
* {{PropertyData|Width}} : Width is the size of the Y-axis The default value is 10 mm
|}


{{Part_Tools_navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 13:14, 20 April 2022

Part Ebene

Menüeintrag
Formteil → Grundkörper erstellen... → Ebene
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Eine Part Ebene ist eine parametrische rechteckige Ebene, die mit dem Befehl Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, liegt die Ebene auf der XY-Ebene mit ihrer vorderen linken Ecke im Ursprung und ihrer Vorderkante parallel zur X-Achse.

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Ebene aus dem Skriptbeispiel

Ein Part-Plane-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde, wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Ebene-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Plane

  • DatenLength (Length): The length of the plane. This is the dimension in its X direction. The default is 10mm.
  • DatenWidth (Length): The width of the plane. This is the dimension in its Y direction. The default is 10mm.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Plane can be created with the addObject() method of the document:

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where "myPlane" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()